BEGIN ~tashi25p~

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 0
  SAY ~What? You're leaving me? Again?~
  IF ~~ THEN REPLY ~Er.. Nevermind, I didn't mean it.~ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~AreaCheck("AR4500")~ THEN REPLY ~It's just temporarily. Just wait here for awhile.~ DO ~SetGlobal("KickedOut","LOCALS",1)
MoveToPointNoInterrupt([2212.1349])
Face(14)~ GOTO 1
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY ~I'm sending you back to the pocket plane...wait there.~ DO ~SetGlobal("KickedOut","LOCALS",1)
CreateVisualEffectObject("SPDIMNDR",Myself)
Wait(2)
MoveBetweenAreas("AR4500",[2212.1349],14)
~ EXIT
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY ~It's just temporarily. Wait here for a bit.~ DO ~SetGlobal("KickedOut","LOCALS",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY ~*sigh* Very well...~
  IF ~~ THEN EXIT
END

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN 2
  SAY ~Hey, <GABBER>. Is it time to go?~
  IF ~~ THEN REPLY ~Yes, let's go.~ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY ~No, just wait here awhile longer.~ EXIT
END
